import java.io.*;
   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause

public class TestNumber  {


  public static void main(String[] args) {
    Integer I;
    I = new Integer(1);
    int ii=I.compareTo( new Integer(33)  );
    System.out.println( "TestNumber: "+ii );
    ii=I.compareTo( new Integer(-3) );
    System.out.println( "TestNumber: "+ii );
    ii=I.compareTo( new Integer(1) );
    System.out.println( "TestNumber: "+ii );
    pause();
  }
}


abstract class Number   {
  String name;
  abstract short getShortValue();
  abstract long getLongValue();

  abstract int getIntValue();
  abstract float getSingleValue();
  abstract double getDoubleValue();

}

class CInteger extends Number {
  int value;

  short getShortValue() {
    return 0;
  }
  long getLongValue() {
    return 0;
  }

  int getIntValue() {
    return 0;
  }
  float getSingleValue() {
    return 0;
  }

  double getDoubleValue() {
    return 0;
  }

  int compareTo(CInteger I) {
    return 0;
  }

}



